Reply To: LD-5 upgrade failure.

Store Forums QRP Transceivers LD-5 upgrade failure. Reply To: LD-5 upgrade failure.

#1396
montyshu
Participant

As several have said, the LD-5’s Prolific chip is incompatible with Prolific drivers for Windows 8, 8.1, and 10. Right now you must use Windows XP or 7.